Posible Bug and some questions

Jean Tourrilhes jt at bougret.hpl.hp.com
Thu May 22 20:23:50 EDT 2003


Pavel Roskin wrote :
> 
> > Kernel: 2.4.20, compiled by me. If you need it, I can send you the .config.
> [snip]
> > wlan0     Recommend Wireless Extension v13 or later,
> >           Currently compiled with Wireless Extension v15.
> 
> I don't understand that.  Linux 2.4.20 uses Wireless Extensions 14.  But
> the event 0x8C03 (IWEVREGISTERED) appeared in version 15.  Either you
> patched the kernel or the output of "iwconfig --version" is incorrect.

	Simple, iwconfig report what the driver tells, not the
kernel. So, we know that the driver was compiled with WE-15.
	The message "Invalid Wireless Event" is definitely comming
from a kernel with WE-14, in WE-15 and later is was changed to
"Invalid/Unknown Wireless Event". So, the kernel was compiled with
WE-14.
	I'll try to improve that slightly in the next version.

> Most likely you are doing something wrong.  For example, you could have
> patched the kernel for WE 15 after you compiled it but before you compiled
> hostap.

	Correct, the user just need to recompile and install the
patched kernel. I'll "improve" the web page.
	Note : I'm not sure if it will do anything to the hang, that
may be another story.

	Have fun...

	Jean



More information about the HostAP mailing list